Subject: [IPsec] [Technical Errata Reported] RFC6290 (3449)

From: RFC Errata System <[email-masked]>
Date: Wed, 9 Jan 2013 04:11:08 -0800 (PST)

The following errata report has been submitted for RFC6290,
"A Quick Crash Detection Method for the Internet Key Exchange Protocol (IKE)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6290&eid=3449

--------------------------------------
Type: Technical
Reported by: Valery Smyslov <[email-masked]>

Section: 4.1

Original Text
-------------
   o  Protocol ID (1 octet) MUST be 1, as this message is related to an
      IKE SA.

Corrected Text
--------------
   o  Protocol ID (1 octet) MUST be 0.

Notes
-----
RFC5996 (IKEv2) in section 3.10 while describing Protocol ID field in Notify Payload specifies that "If the SPI field is empty, this field MUST be sent as zero and MUST be ignored on receipt". As this RFC requires SPI field to be empty (later in section 4.1), Protocol ID should be zero to be consistent with RFC5996.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6290 (draft-ietf-ipsecme-failure-detection-08)
--------------------------------------
Title               : A Quick Crash Detection Method for the Internet Key Exchange Protocol (IKE)
Publication Date    : June 2011
Author(s)           : Y. Nir, Ed., D. Wierbowski, F. Detienne, P. Sethi
Category            : PROPOSED STANDARD
Source              : IP Security Maintenance and Extensions
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Yaron Sheffer <[email-masked]>
Date: Wed, 09 Jan 2013 15:46:26 +0200

Similarly to #3448, this errata was also confirmed by WG discussion.

Thanks,
	Yaron